<?php
namespace App\Controllers;

// Khusus Untuk Menangani Error 401 unauthorized dan 404 notFound
class ErrorPage extends BaseController
{
    public function unauthorized()
    {
        return view('errors/unauthorized');
    }

    public function notFound()
    {
        // Set status HTTP ke 404
        $this->response->setStatusCode(404);

        // Tampilkan view 404
        return view('errors/notfound');
    }
}
